Skip to content
Start here

Delete User Subscription

client.user.subscriptions.delete(stringidentifier, RequestOptionsoptions?): SubscriptionDeleteResponse { subscription_id }
DELETE/user/subscriptions/{identifier}

Deletes a user's subscription.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing Write
ParametersExpand Collapse
identifier: string

Subscription identifier tag.

maxLength32
ReturnsExpand Collapse
SubscriptionDeleteResponse { subscription_id }
subscription_id?: string

Subscription identifier tag.

maxLength32

Delete User Subscription

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const subscription = await client.user.subscriptions.delete('506e3185e9c882d175a2d0cb0093d9f2');

console.log(subscription.subscription_id);
{
  "subscription_id": "506e3185e9c882d175a2d0cb0093d9f2"
}
Returns Examples
{
  "subscription_id": "506e3185e9c882d175a2d0cb0093d9f2"
}